<template>
  <q-card-section class="col-12 text-center">
    <div class="text-h6 text-terciary">Breu descripció</div>
    <div class="text-subtitle2 text-terciary">Explica'ns qui sou</div>
  </q-card-section>

  <q-card-section class="col-12 col-md-10 offset-md-1 justfy-center row">
    <q-card-section
      class="col-12 offset-sm-3 col-sm-6 offset-md-3 col-md-4 offset-lg-4 col-lg-4 q-py-md"
    >
      <q-input
        counter
        maxlength="300"
        v-model="descriptionShort"
        outlined
        placeholder="Explica qui sou, com i on voleu viure, projecte, valors, etc"
        type="textarea"
      />
    </q-card-section>

    <!-- Profile Preview -->
    <q-card-section
      class="col-12 flex flex-center col-md-4 col-lg-3 offset-lg-1 q-py-md "
    >
      <q-card flat bordered square class="my-card">
        <q-img
          v-if="photos.length === 0"
          src="https://placeimg.com/500/300/nature"
          :ratio="4 / 3"
        />
        <q-carousel
          v-else
          height="150px"
          animated
          v-model="slide"
          arrows
          navigation
          infinite
        >
          <q-carousel-slide
            v-for="(photo, index) in photos"
            :key="index"
            :name="index + 1"
            :img-src="photo"
          />
        </q-carousel>

        <q-card-section>
          <div class="text-subtitle2 text-brown">
            {{ profileTypeLabel.sublabel[stage] }}
          </div>
          <div v-if="name" class="text-h6 text-brown">
            {{ name }}
          </div>
          <div v-else class="text-h6">
            <span v-for="(member, index) in members" :key="index"
              >{{ member.name }}
              <span v-if="index + 1 < members.length">, </span>
            </span>
          </div>
          {{ adults }} adults {{ underage }} menors
        </q-card-section>
        <q-card-section v-if="descriptionShort">
          {{ descriptionShort }}
        </q-card-section>
        <q-card-section v-else>
          <q-skeleton height="200px" square />
        </q-card-section>
      </q-card>
    </q-card-section>
  </q-card-section>
</template>

<script setup>
import { ProfileStore } from 'src/stores/profileStore'
import { storeToRefs } from 'pinia'
import { ref } from 'vue'

const slide = ref(1)
const profile = ProfileStore()
const {
  profileTypeLabel,
  stage,
  name,
  descriptionShort,
  members,
  underage,
  adults,
  photos
} = storeToRefs(profile)
</script>

<style lang="sass" scoped>
.my-card
  width: 100%
  max-width: 250px
  background-color: rgba(225,176,56,0.15)
</style>
